#!/bin/bash

OPTIONS='
    --style=linux -s4
    --pad-oper --pad-header --pad-comma
    --align-pointer=name --align-reference=name
    --break-one-line-headers
    --remove-braces
    --break-return-type
    --convert-tabs
    --close-templates
    --max-code-length=101
    --mode=c
    --lineend=linux
    --attach-inlines
    --indent-labels
    --indent-col1-comments
    --indent-preproc-block'

if [ $# -gt 0 ] && [ "$1" = "--check" ] ; then
    astyle $OPTIONS --dry-run -R ./*.c | grep Formatted
    [ $? -eq 1 ] && exit 0 || exit 1
fi

find ./src ./inc -name '*.c'     -exec astyle $OPTIONS --quiet {} \;
find ./src ./inc -name '*.h'     -exec astyle $OPTIONS --quiet {} \;
find ./src ./inc -name '*.hpp'   -exec astyle $OPTIONS --quiet {} \;
find ./src ./inc -name '*.cpp'   -exec astyle $OPTIONS --quiet {} \;
find ./src ./inc -name '*.orig'  -exec rm {} \;
